# Imagick::setImageProperty

(PECL imagick 2, PECL imagick 3)

Imagick::setImageProperty — Establece una propiedad de la imagen

### Descripción

Imagick::setImageProperty(string `$name`, string `$value`): bool

Establece un propiedad nominada de la imagen. Este método está disponible si Imagick ha sido compilado con la versión 6.3.2 o superior de ImageMagick.

### Parámetros

`name`

`value`

### Ejemplos

Ejemplo #1 Usar Imagick::setImageProperty():

Establecer y obtener las propiedades de una imagen

`<?php
$imagen = new Imagick();
$imagen->newImage(300, 200, "black");
$imagen->setImageProperty('Exif:Make', 'Imagick');
echo $imagen->getImageProperty('Exif:Make');
?>`

### Ver también

- Imagick::getImageProperty() - Devuelve la propiedad nominada de la imagen

### Valores devueltos

Devuelve `true` en caso de éxito.